Bug 1324114 - fonts-tweak-tool: Provide a Python 3 subpackage
Summary: fonts-tweak-tool: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-tweak-tool
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-05 14:34 UTC by Tomas Orsava
Modified: 2016-04-15 21:35 UTC (History)
6 users (show)

Fixed In Version: fonts-tweak-tool-0.3.2-10.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 21:35:54 UTC
Type: Bug


Attachments (Terms of Use)
spec file fix for moving to python3 as default support (1.91 KB, patch)
2016-04-06 15:43 UTC, Parag Nemade
no flags Details | Diff
new spec file fix for moving to python3 as default support (2.09 KB, patch)
2016-04-06 17:02 UTC, Parag Nemade
no flags Details | Diff

Description Tomas Orsava 2016-04-05 14:34:16 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Parag Nemade 2016-04-06 15:43:28 UTC
Created attachment 1144248 [details]
spec file fix for moving to python3 as default support

Comment 2 Parag Nemade 2016-04-06 17:02:23 UTC
Created attachment 1144279 [details]
new spec file fix for moving to python3 as default support

fixed missing things in obsoleted patch

Comment 3 Fedora Update System 2016-04-11 02:56:44 UTC
fonts-tweak-tool-0.3.2-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ccbe82bfc

Comment 4 Fedora Update System 2016-04-11 10:19:11 UTC
fonts-tweak-tool-0.3.2-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ccbe82bfc

Comment 5 Fedora Update System 2016-04-15 21:35:51 UTC
fonts-tweak-tool-0.3.2-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.